// mirrorCTF.cpp : Defines the entry point for the DLL application.
//

#include "bzfsAPI.h"

BZ_GET_PLUGIN_VERSION

class mirrorCTF : public bz_EventHandler
{
public:
	virtual void process( bz_EventData *eventData );
};
mirrorCTF scc;


BZF_PLUGIN_CALL int bz_Load ( const char* /*commandLine*/ )
{
  bz_registerEvent(bz_eCaptureEvent, &scc);
  bz_debugMessage(4,"mirrorCTF plugin loaded");
  return 0;
}

BZF_PLUGIN_CALL int bz_Unload ( void )
{
  bz_removeEvent(bz_eCaptureEvent, &scc);
  bz_debugMessage(4,"mirrorCTF plugin unloaded");
  return 0;
}

void mirrorCTF::process( bz_EventData *eventData )
{
	bz_CTFCaptureEventData *ctfdata = (bz_CTFCaptureEventData*)eventData;

	bzApiString newcolor = "black";

	bool teamcap = false;

	bz_PlayerRecord *ctfer = bz_getPlayerByIndex (ctfdata->playerCapping);
	if (ctfer != NULL && ctfer->team == ctfdata->teamCapped)
	{
		teamcap = true;
		bz_freePlayerRecord (ctfer);
	}

	if (!teamcap)
	{
		switch (ctfdata->teamCapping)
		{
		case eRedTeam:
			newcolor = "red";
			break;
		case eGreenTeam:
			newcolor = "green";
			break;
		case eBlueTeam:
			newcolor = "blue";
			break;
		case ePurpleTeam:
			newcolor = "purple";
			break;
		}
	}

	bz_setBZDBString("_mirror", newcolor.c_str());
}

// Local Variables: ***
// mode:C++ ***
// tab-width: 8 ***
// c-basic-offset: 2 ***
// indent-tabs-mode: t ***
// End: ***
// ex: shiftwidth=2 tabstop=8

